Subject: Re: bug#25485: 25.1; Having trouble setting --time-style in dired-listing-switches

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Jan 2017 09:22:43 +0200

> From: Chunyang Xu <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 28 Jan 2017 09:01:15 +0800
> 
> I have tried the patch and changed dired-listing-switches accordingly,
> it works now. Thus the solution is acceptable to me.

Thanks for the feedback.

> My first thought was, we can make dired-listing-switches also accepts a
> list of arguments, then something like this
> 
> (setq dired-listing-switches
>       (list "-al" "--time-style=+%_m月 %d %H:%M"))
> 
> should just work. But it will require much more work and I have no idea
> how 'C-u M-x dired-sort-toggle-or-edit' can work as usual.

I thought about that as well, and the reason why I opted not to go
that way was that it will be more complicated for users, especially
those who are not very fluent in Lisp.  But I'm open to hear other
opinions on that.

I'll wait for a few days for comments, and if no objections pop up,
will commit the above change (and fix the documentation accordingly).